Bug 649767 - xorg-x11-drv-nv-2.1.18-3.fc15 and libdrm-2.4.23-0.1.20101019.fc15 incompatible?
Summary: xorg-x11-drv-nv-2.1.18-3.fc15 and libdrm-2.4.23-0.1.20101019.fc15 incompatible?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libdrm
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-04 14:15 UTC by Nalin Dahyabhai
Modified: 2010-11-23 19:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-23 16:12:04 UTC
Type: ---


Attachments (Terms of Use)
Xorg.0.log.old (15.03 KB, text/plain)
2010-11-04 14:16 UTC, Nalin Dahyabhai
no flags Details

Description Nalin Dahyabhai 2010-11-04 14:15:01 UTC
Description of problem:
When I try to start the X server (kernel modesetting, but using startx), the server crashes and I get this backtrace:
0: X (xorg_backtrace+0x2d) [0x483065]
1: X (0x400000+0x52cb2) [0x452cb2]
2: /lib64/libc.so.6 (0x7f10e2907000+0x340e0) [0x7f10e293b0e0]
3: /usr/lib64/libdrm_nouveau.so.1 (nouveau_channel_alloc+0x4d) [0x7f10e0929ced]
4: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f10e0b2d000+0xd2fd) [0x7f10e0b3a2fd]
5: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f10e0b2d000+0xdc88) [0x7f10e0b3ac88]
6: X (AddScreen+0x144) [0x42b29d]
7: X (InitOutput+0xb53) [0x45f76a]
8: X (0x400000+0x21385) [0x421385]
9: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x7f10e2925e7d]
10: X (0x400000+0x210a9) [0x4210a9]
Segmentation fault at address 0x7

Version-Release number of selected component (if applicable):
xorg-x11-drv-nv-2.1.18-3.fc15.x86_64
libdrm-2.4.23-0.1.20101019.fc15.x86_64

How reproducible:
Always, at least on my laptop (Geforce Go 6150).

Steps to Reproduce:
1. Boot kernel-2.6.36-1.fc15.x86_64 to runlevel 3.
2. Log in, run startx.

Additional info:
Backing down to libdrm-2.4.22-1.fc15 makes things work again.

Comment 1 Nalin Dahyabhai 2010-11-04 14:16:10 UTC
Created attachment 457802 [details]
Xorg.0.log.old

Comment 2 Adam Jackson 2010-11-23 16:12:04 UTC
You're running nouveau, not nv.

Should be fixed in this build:

* Tue Nov 09 2010 Ben Skeggs <bskeggs@redhat.com> 0.0.16-11
- pull upstream git snapshot, require newer libdrm

Comment 3 Nalin Dahyabhai 2010-11-23 19:34:56 UTC
(In reply to comment #2)
> You're running nouveau, not nv.

My mistake.
 
> Should be fixed in this build:
> 
> * Tue Nov 09 2010 Ben Skeggs <bskeggs@redhat.com> 0.0.16-11
> - pull upstream git snapshot, require newer libdrm

Right on both counts.  Apologies for not noting this and closing it myself.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.